Skip to main content
`Ctrl`+`K`

# SNESNGSGetSweeps

Gets the number of sweeps nonlinear GS will use in `SNESNCG`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGSGetSweeps(SNES snes, PetscInt *sweeps)

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- sweeps - the number of sweeps of nonlinear GS to perform.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNCG`, `SNESSetNGS()`, `SNESGetNGS()`, `SNESSetNPC()`, `SNESNGSSetSweeps()`

## Level

intermediate

## Location

src/snes/impls/gs/snesgs.c

## Examples

src/snes/tutorials/ex15.c
src/snes/tutorials/ex55.c
src/snes/tutorials/ex19.c
src/snes/tutorials/ex5.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages